summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2011-12-26 22:55:42 +0000
committerLars Wirzenius <liw@liw.fi>2011-12-26 22:55:42 +0000
commitf34ca52e14981645ca66508ee927b1e889e3bca9 (patch)
tree2d176fcb8f93c8d1db42f2b1e7f29a1d3d8f59a7
parente265268d47b95e2cf8933c6d488ca19acef30d8e (diff)
downloadgenbackupdata-f34ca52e14981645ca66508ee927b1e889e3bca9.tar.gz
add test case for reproducible data
-rwxr-xr-xtests/reproducible-data.script23
1 files changed, 23 insertions, 0 deletions
diff --git a/tests/reproducible-data.script b/tests/reproducible-data.script
new file mode 100755
index 0000000..fc8e10a
--- /dev/null
+++ b/tests/reproducible-data.script
@@ -0,0 +1,23 @@
+#!/bin/sh
+# Copyright 2011 Lars Wirzenius
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+data1="$DATADIR/reproducible-data-1"
+data2="$DATADIR/reproducible-data-2"
+./genbackupdata --create=12765 "$data1"
+./genbackupdata --create=12765 "$data2"
+diff -rq "$data1" "$data2"